Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.portal.ejb
Class PortalDefinitionBean

    java.lang.Object
      |
      +--com.beasys.portal.ejb.BaseBean
            |
            +--com.beasys.portal.ejb.SimpleStringEntityBean
                  |
                  +--com.beasys.portal.ejb.PortalDefinitionBean

Direct Known Subclasses:
  PortletDefinitionBean

public class PortalDefinitionBean
extends SimpleStringEntityBean

Implementation for the PortalDefinition EJB.

See Also:
  Serialized Form

Field Summary
`int` | `contentColumnCount` The number of columnns in the portal.
`java.lang.String` | `contentURL` The content url.
`java.lang.String` | `footerURL` The footer url.
`java.lang.String` | `headerURL` The header url.
`boolean` | `suspended` Is it suspended for maintenance.
`java.lang.String` | `suspendedURL` The maintenance url.

Fields inherited from class com.beasys.portal.ejb.SimpleStringEntityBean
`id`

Fields inherited from class com.beasys.portal.ejb.BaseBean
`ctx, isModified`

Constructor Summary
`PortalDefinitionBean()`

Method Summary
`void` | `ejbCreate(PortalDefinitionPK pk, java.lang.String aContentURL)` Ejb create.
`void` | `ejbPostCreate(PortalDefinitionPK pk, java.lang.String aContentURL)` Ejb post create.
`int` | `getContentColumnCount()` Get the number of columns in the portal.
`java.lang.String` | `getContentURL()` Get content URL.
`java.lang.String` | `getFooterURL()` Get footer URL.
`java.lang.String` | `getHeaderURL()` Get header URL.
`java.lang.String` | `getName()` Get name.
`java.lang.String` | `getSuspendedURL()` Get suspended URL.
`boolean` | `isSuspended()` Is it suspended for maintenance or whatever?
`void` | `setContentColumnCount(int aCount)` Set the number of columns in the portal.
`void` | `setContentURL(java.lang.String aURL)` Set content URL.
`void` | `setFooterURL(java.lang.String aURL)` Set footer URL.
`void` | `setHeaderURL(java.lang.String aURL)` Set header URL.
`void` | `setSuspended(boolean aBool)` Set suspended.
`void` | `setSuspendedURL(java.lang.String aURL)` Set suspended URL.

Methods inherited from class com.beasys.portal.ejb.SimpleStringEntityBean
`ejbCreate, ejbPostCreate, getId, setId`

Methods inherited from class com.beasys.portal.ejb.BaseBean
`ejbActivate, ejbLoad, ejbPassivate, ejbRemove, ejbStore, isModified, setEntityContext, unsetEntityContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### headerURL

    public java.lang.String headerURL

  The header url.

### footerURL

    public java.lang.String footerURL

  The footer url.

### contentURL

    public java.lang.String contentURL

  The content url.

### contentColumnCount

    public int contentColumnCount

  The number of columnns in the portal.

### suspended

    public boolean suspended

  Is it suspended for maintenance.

### suspendedURL

    public java.lang.String suspendedURL

  The maintenance url.

Constructor Detail

### PortalDefinitionBean

    public PortalDefinitionBean()

Method Detail

### ejbCreate

    public void ejbCreate(PortalDefinitionPK pk,
                          java.lang.String aContentURL)
                   throws javax.ejb.CreateException,
                          java.rmi.RemoteException

  Ejb create.
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url. The bean can't be created without one.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### ejbPostCreate

    public void ejbPostCreate(PortalDefinitionPK pk,
                              java.lang.String aContentURL)
                       throws javax.ejb.CreateException,
                              java.rmi.RemoteException

  Ejb post create. ignored.
  Parameters:
    `pk` - the primary key.
    `aContentURL` - the content url.
  Throws:
    `CreateException` - error on create.
    `RemoteException` - container error.

### getName

    public java.lang.String getName()

  Get name.
  Returns:
    `String` the portal name.

### getHeaderURL

    public java.lang.String getHeaderURL()

  Get header URL.
  Returns:
    `String` the header url.

### setHeaderURL

    public void setHeaderURL(java.lang.String aURL)

  Set header URL.
  Parameters:
    `aURL` - the header url.

### getFooterURL

    public java.lang.String getFooterURL()

  Get footer URL.
  Returns:
    `String` the footer url.

### setFooterURL

    public void setFooterURL(java.lang.String aURL)

  Set footer URL.
  Parameters:
    `aURL` - the footer url.

### getContentURL

    public java.lang.String getContentURL()

  Get content URL.
  Returns:
    `String` the content url.

### setContentURL

    public void setContentURL(java.lang.String aURL)

  Set content URL.
  Parameters:
    `aURL` - the content url.

### getContentColumnCount

    public int getContentColumnCount()

  Get the number of columns in the portal.
  Returns:
    `int` the number of columns.

### setContentColumnCount

    public void setContentColumnCount(int aCount)

  Set the number of columns in the portal.
  Parameters:
    `aCount` - the count.

### isSuspended

    public boolean isSuspended()

  Is it suspended for maintenance or whatever?
  Returns:
    `boolean` yes/no.

### setSuspended

    public void setSuspended(boolean aBool)

  Set suspended.
  Parameters:
    `aBool` - yes/no.

### getSuspendedURL

    public java.lang.String getSuspendedURL()

  Get suspended URL.
  Returns:
    `String` the suspended url.

### setSuspendedURL

    public void setSuspendedURL(java.lang.String aURL)

  Set suspended URL.
  Parameters:
    `aURL` -

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 BEA Systems, Inc. All Rights Reserved